Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.skype.api
Enum Contact.Availability

    java.lang.Object
      java.lang.Enum<Contact.Availability>
          com.skype.api.Contact.Availability

All Implemented Interfaces:
  EnumConverting, java.io.Serializable, java.lang.Comparable<Contact.Availability>

Enclosing class:
  Contact

    public static enum Contact.Availability

extends java.lang.Enum<Contact.Availability>
implements EnumConverting

Describes the superset list of possible Account and Contact online statuses. In case of Account they apply to local user, in case of Contact they apply to remote contacts.

Enum Constant Summary
`AWAY` Contact / Account is online but away from keyboard.
`AWAY_FROM_MOBILE` _FROM_MOBILE only possible for remote user
`BLOCKED` Remote contact has been blocked by local account.
`BLOCKED_SKYPEOUT` Remote SkypeOut contact has been blocked by local account.
`CONNECTING` only possible for local user/account
`DO_NOT_DISTURB` Contact / Account is online but does not wish to be disturbed.
`DO_NOT_DISTURB_FROM_MOBILE`
`INVISIBLE` Account status is set to INVISIBLE.
`NOT_AVAILABLE` This online status is marked as deprecated.
`NOT_AVAILABLE_FROM_MOBILE`
`OFFLINE` Contact appears to be offline.
`OFFLINE_BUT_CF_ABLE` Contact appears to be offline but has enabled call forwarding, so calls may actually get through to him.
`OFFLINE_BUT_VM_ABLE` Contact appears to be offline but has voicemail enabled.
`ONLINE` Contact / Account is online
`ONLINE_FROM_MOBILE`
`PENDINGAUTH` Seeing Contact online status is blocked because authorization between contact and local account has not taken place.
`SKYPE_ME` This online status is marked as deprecated.
`SKYPE_ME_FROM_MOBILE`
`SKYPEOUT` Contact does not have an online status because he is a PSTN contact.
`UNKNOWN` Contact online status cannot be determined.

Field Summary
`static int` | `AWAY_FROM_MOBILE_VALUE`
`static int` | `AWAY_VALUE`
`static int` | `BLOCKED_SKYPEOUT_VALUE`
`static int` | `BLOCKED_VALUE`
`static int` | `CONNECTING_VALUE`
`static int` | `DO_NOT_DISTURB_FROM_MOBILE_VALUE`
`static int` | `DO_NOT_DISTURB_VALUE`
`static int` | `INVISIBLE_VALUE`
`static int` | `NOT_AVAILABLE_FROM_MOBILE_VALUE`
`static int` | `NOT_AVAILABLE_VALUE`
`static int` | `OFFLINE_BUT_CF_ABLE_VALUE`
`static int` | `OFFLINE_BUT_VM_ABLE_VALUE`
`static int` | `OFFLINE_VALUE`
`static int` | `ONLINE_FROM_MOBILE_VALUE`
`static int` | `ONLINE_VALUE`
`static int` | `PENDINGAUTH_VALUE`
`static int` | `SKYPE_ME_FROM_MOBILE_VALUE`
`static int` | `SKYPE_ME_VALUE`
`static int` | `SKYPEOUT_VALUE`
`static int` | `UNKNOWN_VALUE`

Method Summary
`EnumConverting` | `convert(int from)`
`static Contact.Availability` | `get(int from)`
`EnumConverting[]` | `getArray(int size)`
`EnumConverting` | `getDefault()`
`int` | `getId()`
`static Contact.Availability` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Contact.Availability[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### UNKNOWN

    public static final Contact.Availability UNKNOWN

  Contact online status cannot be determined. This availability state should not normally reach the SkypeKit UI level.

### PENDINGAUTH

    public static final Contact.Availability PENDINGAUTH

  Seeing Contact online status is blocked because authorization between contact and local account has not taken place.

### BLOCKED

    public static final Contact.Availability BLOCKED

  Remote contact has been blocked by local account. This applies to online accounts.

### BLOCKED_SKYPEOUT

    public static final Contact.Availability BLOCKED_SKYPEOUT

  Remote SkypeOut contact has been blocked by local account.

### SKYPEOUT

    public static final Contact.Availability SKYPEOUT

  Contact does not have an online status because he is a PSTN contact.

### OFFLINE

    public static final Contact.Availability OFFLINE

  Contact appears to be offline.

### OFFLINE_BUT_VM_ABLE

    public static final Contact.Availability OFFLINE_BUT_VM_ABLE

  Contact appears to be offline but has voicemail enabled.

### OFFLINE_BUT_CF_ABLE

    public static final Contact.Availability OFFLINE_BUT_CF_ABLE

  Contact appears to be offline but has enabled call forwarding, so calls may actually get through to him.

### ONLINE

    public static final Contact.Availability ONLINE

  Contact / Account is online

### AWAY

    public static final Contact.Availability AWAY

  Contact / Account is online but away from keyboard. This can be either turned on manually or by automatic timer. In Windows desktop client, the timer can be configured with minute precision.

### NOT_AVAILABLE

    public static final Contact.Availability NOT_AVAILABLE

  This online status is marked as deprecated. If a remote contact indicates its status as NOT_AVAILABLE, the UI should handle this as equivalent of AWAY status.

### DO_NOT_DISTURB

    public static final Contact.Availability DO_NOT_DISTURB

  Contact / Account is online but does not wish to be disturbed. This status supersedes AWAY status when the account is DO_NOT_DISTURB the AWAY timer should not modify the status.

### SKYPE_ME

    public static final Contact.Availability SKYPE_ME

  This online status is marked as deprecated. If a remote contact indicates its status as SKYPE_ME, the UI should handle this as equivalent of ONLINE status.

### INVISIBLE

    public static final Contact.Availability INVISIBLE

  Account status is set to INVISIBLE. This status in not applicable to remote Contacts. When the remote contact has set his availability to INVISIBLE, he will appear as OFFLINE to others.

### CONNECTING

    public static final Contact.Availability CONNECTING

  only possible for local user/account

### ONLINE_FROM_MOBILE

    public static final Contact.Availability ONLINE_FROM_MOBILE

### AWAY_FROM_MOBILE

    public static final Contact.Availability AWAY_FROM_MOBILE

  _FROM_MOBILE only possible for remote user

### NOT_AVAILABLE_FROM_MOBILE

    public static final Contact.Availability NOT_AVAILABLE_FROM_MOBILE

### DO_NOT_DISTURB_FROM_MOBILE

    public static final Contact.Availability DO_NOT_DISTURB_FROM_MOBILE

### SKYPE_ME_FROM_MOBILE

    public static final Contact.Availability SKYPE_ME_FROM_MOBILE

Field Detail

### UNKNOWN_VALUE

    public static final int UNKNOWN_VALUE

See Also:
  Constant Field Values

### PENDINGAUTH_VALUE

    public static final int PENDINGAUTH_VALUE

See Also:
  Constant Field Values

### BLOCKED_VALUE

    public static final int BLOCKED_VALUE

See Also:
  Constant Field Values

### BLOCKED_SKYPEOUT_VALUE

    public static final int BLOCKED_SKYPEOUT_VALUE

See Also:
  Constant Field Values

### SKYPEOUT_VALUE

    public static final int SKYPEOUT_VALUE

See Also:
  Constant Field Values

### OFFLINE_VALUE

    public static final int OFFLINE_VALUE

See Also:
  Constant Field Values

### OFFLINE_BUT_VM_ABLE_VALUE

    public static final int OFFLINE_BUT_VM_ABLE_VALUE

See Also:
  Constant Field Values

### OFFLINE_BUT_CF_ABLE_VALUE

    public static final int OFFLINE_BUT_CF_ABLE_VALUE

See Also:
  Constant Field Values

### ONLINE_VALUE

    public static final int ONLINE_VALUE

See Also:
  Constant Field Values

### AWAY_VALUE

    public static final int AWAY_VALUE

See Also:
  Constant Field Values

### NOT_AVAILABLE_VALUE

    public static final int NOT_AVAILABLE_VALUE

See Also:
  Constant Field Values

### DO_NOT_DISTURB_VALUE

    public static final int DO_NOT_DISTURB_VALUE

See Also:
  Constant Field Values

### SKYPE_ME_VALUE

    public static final int SKYPE_ME_VALUE

See Also:
  Constant Field Values

### INVISIBLE_VALUE

    public static final int INVISIBLE_VALUE

See Also:
  Constant Field Values

### CONNECTING_VALUE

    public static final int CONNECTING_VALUE

See Also:
  Constant Field Values

### ONLINE_FROM_MOBILE_VALUE

    public static final int ONLINE_FROM_MOBILE_VALUE

See Also:
  Constant Field Values

### AWAY_FROM_MOBILE_VALUE

    public static final int AWAY_FROM_MOBILE_VALUE

See Also:
  Constant Field Values

### NOT_AVAILABLE_FROM_MOBILE_VALUE

    public static final int NOT_AVAILABLE_FROM_MOBILE_VALUE

See Also:
  Constant Field Values

### DO_NOT_DISTURB_FROM_MOBILE_VALUE

    public static final int DO_NOT_DISTURB_FROM_MOBILE_VALUE

See Also:
  Constant Field Values

### SKYPE_ME_FROM_MOBILE_VALUE

    public static final int SKYPE_ME_FROM_MOBILE_VALUE

See Also:
  Constant Field Values

Method Detail

### values

    public static Contact.Availability[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Contact.Availability c : Contact.Availability.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Contact.Availability valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getId

    public int getId()

  Specified by:
    `getId` in interface `EnumConverting`

### getDefault

    public EnumConverting getDefault()

  Specified by:
    `getDefault` in interface `EnumConverting`

### convert

    public EnumConverting convert(int from)

  Specified by:
    `convert` in interface `EnumConverting`

### getArray

    public EnumConverting[] getArray(int size)

  Specified by:
    `getArray` in interface `EnumConverting`

### get

    public static Contact.Availability get(int from)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2010, 2011 Skype Technologies. All Rights Reserved.